PT BIA - Bug #3941

Implementasi Fungsi dan Validasi OnBehalf di ESS
10/08/2025 10:19 AM - Mr Ikmal

Status: Assigned Start date: 10/08/2025
Priority: Normal Due date: 10/09/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear team Developer,

Mohon bantuannya untuk membuat fungsi dan validasi IDOnBehalf pada modul ESS Leave, Overtime Karyawan, dan Travel agar
dapat digunakan.

Konsepnya sebagai berikut:

- Saat user login dengan EmployeelD miliknya, default value yang tampil adalah EmployeelD miliknya di field OnBehalfTo (saat ini
sudah terjadi).

- Yang perlu dibuat adalah, Jika user memilih OnBehalf di form ESS, maka sistem perlu menampilkan data sesuai dengan
OnBehalfTo yang sudah didaftarkan.

- Data referensinya diambil dari tabel PCMWFCUSTONBEHALFEMPID.
Terima kasih
PORT PROD : https://hris-bia.minovaiscloud.com/

DB :103.153.60.89,1435
Nama DB : MinovaES_BIA Prod

PORT DEV : http://remote.minovais.com:61139/
DB : remote.minovais.com, 1468
Nama DB : MinovaES_BIA_BaseServerCloud

History

#1 - 10/08/2025 10:20 AM - Mr lkmal

Note: Ini atas permintaan user ingin dibuat fungsi seperti itu untuk mewakili pengajuan di Merauke (yg user nya tdk punya laptop).

#2 - 10/08/2025 11:04 AM - Kezia Pawitra Yulianti
- Due date set to 10/09/2025
- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi
